Security Advisory

Back to advisories

Improper check for access to application database (NC-SA-2018-015)

26th July 2019

Risk level: Low

CVSS v3 Base Score: 1.8 (AV:L/AC:H/PR:H/UI:R/S:U/C:L/I:N/A:N)

CWE: Improper Access Control (CWE-284)

HackerOne report: 331302

Description

A too permissive check allowed an installed application that contained the Nextcloud client package name to obtain access to the database of the Nextcloud application. At time of disclosure there are no applications with in the Google Play Store that fullfill this requirement.

Affected Software

  • Nextcloud Android < 3.2.0 (CVE-2018-3765)

Action Taken

The error has been fixed.

Resolution

It is recommended that users upgrade to version 3.2.0.

Acknowledgements

The Nextcloud team thanks the following people for their research and responsible disclosure of the above advisory:

  • NA - Vulnerability discovery and disclosure.

This advisory is licensed CC BY-SA 4.0.

You have javascript disabled. We tried to make sure the basics of our website work but some functionality will be missing.

This website is using cookies. By visiting you agree with our privacy policy. That's Fine